package birthnumerology.findyourfate.com;

import java.util.Calendar;

import com.google.android.gms.ads.AdListener;
import com.google.android.gms.ads.AdRequest;
import com.google.android.gms.ads.AdView;
import com.google.android.gms.ads.InterstitialAd;
import com.google.android.gms.appindexing.AppIndex;
import com.google.android.gms.common.api.GoogleApiClient;

import android.net.Uri;
import android.os.Bundle;
import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.TextView;

public class MainActivity extends Activity {
	TextView dat,next,enterg;
	  private AdView mAdview;
	  int k=0;
		int num=0;
		int num1=0;
		int d=0;
		
	 
		 
	  static final Uri APP_URI = Uri.parse("android-app://birthnumerology.findyourfate.com/http/findyourfate.com/numerology/numeroscope.asp");
	    static final Uri WEB_URL = Uri.parse("http://www.findyourfate.com/numerology/numeroscope.asp");
	    static final Uri EMPTY_WEB_URL = Uri.parse("");
	    private GoogleApiClient mClient;
	    InterstitialAd mInterstitialAd;
	 
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
	
		setContentView(R.layout.activity_main);
		dat=(TextView) findViewById(R.id.todaydate);
		next=(TextView) findViewById(R.id.next);
		enterg=(TextView)findViewById(R.id.dob);
		
		mAdview = (AdView) findViewById(R.id.adView);
	    mAdview.setAdListener(new ToastAdListener(this));
	    
	    mInterstitialAd = new InterstitialAd(this);
        mInterstitialAd.setAdUnitId("ca-app-pub-2603749986890135/3288667086");
        
      mInterstitialAd.loadAd(new AdRequest.Builder().build());
      
      mInterstitialAd.setAdListener(new AdListener() {
          public void onAdLoaded() {
              // Call displayInterstitial() function
      
          	
          }
    });
	    
	    mClient = new GoogleApiClient.Builder(this).addApi(AppIndex.APP_INDEX_API).build();
	  
		final Calendar cal = Calendar.getInstance();
		final int m=cal.get(Calendar.MONTH) + 1 ;
        int d1=cal.get(Calendar.DAY_OF_MONTH) ;
        final int y=cal.get(Calendar.YEAR);
     
	    String today=+d1+"/"+m+"/"+y;
	    dat.setPadding(02,30, 02, 30);
	   
		dat.setText("People born on Today :"+today);
		next.setOnClickListener(new View.OnClickListener() {
			
			@Override
			public void onClick(View v) {
				// TODO Auto-generated method stub
				
				
				 
			final Calendar cal = Calendar.getInstance();
			final int m=cal.get(Calendar.MONTH) + 1 ;
		    d=cal.get(Calendar.DAY_OF_MONTH) ;
		    final int y=cal.get(Calendar.YEAR);
		     
		    while(d!=0)
				{
					k=d%10;
					num=num+k;
					d=(d/10);
				}
		    
				if (mInterstitialAd.isLoaded()) {
	  				 mInterstitialAd.show();
	  				mInterstitialAd.setAdListener(new AdListener() {
	  		            public void onAdClosed() {
	  		            	if(num>=10)
	  						{
	  							 num1 = num;
	  							 int s=0;
	  							while(num1!=0)
	  							{
	  								k=num1%10;
	  								s=s+k;
	  								num1=num1/10;
	  							}
	  							num=s;
	  							}
	  		 		   		
	  					if(m==1)
	  					{
	  						if(d>=20)
	  						{
	  							if(num==1)
	  							{
	  								Intent intent=new Intent(MainActivity.this,curlaq1.class);
	  								startActivity(intent);
	  							}
	  							else if(num==2)
	  							{
	  								Intent intent=new Intent(MainActivity.this,curlaq2.class);
	  								startActivity(intent);
	  							}
	  							else if(num==3)
	  							{
	  								Intent intent=new Intent(MainActivity.this,curlaq3.class);
	  								startActivity(intent);
	  							}
	  						    else if(num==4)	
	  						    {
	  						    	Intent intent=new Intent(MainActivity.this,curlaq4.class);
	  								startActivity(intent);
	  						    }
	  						    else if(num==5)
	  						    {
	  						    	Intent intent=new Intent(MainActivity.this,curlaq5.class);
	  								startActivity(intent);
	  						    }
	  							else if(num==6)	
	  							{
	  								Intent intent=new Intent(MainActivity.this,curlaq6.class);
	  								startActivity(intent);
	  							}
	  							else if(num==7)
	  							{
	  								Intent intent=new Intent(MainActivity.this,curlaq7.class);
	  								startActivity(intent);
	  							}
	  							else if(num==8)
	  							{
	  								Intent intent=new Intent(MainActivity.this,curlaq8.class);
	  								startActivity(intent);
	  							}
	  							else if(num==9)	
	  							{
	  								Intent intent=new Intent(MainActivity.this,curlaq9.class);
	  								startActivity(intent);
	  							}
	  						}
	  					}
	  					
	  					if(m==2)
	  					{
	  						    if(d <=18)
	  						    {
	  						    	if(num==1)
	  								{
	  									Intent intent=new Intent(MainActivity.this,curlaq1.class);
	  									startActivity(intent);
	  								}
	  								else if(num==2)
	  								{
	  									Intent intent=new Intent(MainActivity.this,curlaq2.class);
	  									startActivity(intent);
	  								}
	  								else if(num==3)
	  								{
	  									Intent intent=new Intent(MainActivity.this,curlaq3.class);
	  									startActivity(intent);
	  								}
	  							    else if(num==4)	
	  							    {
	  							    	Intent intent=new Intent(MainActivity.this,curlaq4.class);
	  									startActivity(intent);
	  							    }
	  							    else if(num==5)
	  							    {
	  							    	Intent intent=new Intent(MainActivity.this,curlaq5.class);
	  									startActivity(intent);
	  							    }
	  								else if(num==6)	
	  								{
	  									Intent intent=new Intent(MainActivity.this,curlaq6.class);
	  									startActivity(intent);
	  								}
	  								else if(num==7)
	  								{
	  									Intent intent=new Intent(MainActivity.this,curlaq7.class);
	  									startActivity(intent);
	  								}
	  								else if(num==8)
	  								{
	  									Intent intent=new Intent(MainActivity.this,curlaq8.class);
	  									startActivity(intent);
	  								}
	  								else if(num==9)	
	  								{
	  									Intent intent=new Intent(MainActivity.this,curlaq9.class);
	  									startActivity(intent);
	  						 }
	  					   }
	  					}
	  					
	  					if(m==3)
	  					{
	  						  if(d>=21)
	  						    {
	  						     	if(num==1)
	  						     	{
	  						     		Intent intent=new Intent(MainActivity.this,CurlAries1.class);
	  									startActivity(intent);
	  						     	}
	  						    		
	  								else if(num==2)	
	  								{
	  									Intent intent=new Intent(MainActivity.this,CurlAries2.class);
	  									startActivity(intent);
	  								}
	  							    else if(num==3)
	  							    {
	  							    	Intent intent=new Intent(MainActivity.this,CurlAries3.class);
	  									startActivity(intent);
	  							    }
	  								else if(num==4)
	  								{
	  									Intent intent=new Intent(MainActivity.this,CurlAries4.class);
	  									startActivity(intent);
	  								}
	  						        else if(num==5)	
	  						    	{
	  						        	Intent intent=new Intent(MainActivity.this,CurlAries5.class);
	  									startActivity(intent);
	  						    	}
	  								else if(num==6)
	  						    	{
	  									Intent intent=new Intent(MainActivity.this,CurlAries6.class);
	  									startActivity(intent);
	  						    	}
	  								else if(num==7)	
	  								{
	  									Intent intent=new Intent(MainActivity.this,CurlAries7.class);
	  									startActivity(intent);
	  						    	}
	  						    	else if(num==8)
	  								{
	  									Intent intent=new Intent(MainActivity.this,CurlAries8.class);
	  									startActivity(intent);
	  						    	}
	  								else if(num==9)
	  								{
	  									Intent intent=new Intent(MainActivity.this,CurlAries9.class);
	  									startActivity(intent);
	  						}
	  					  }
	  					}
	  					if(m==4)
	  						{
	  						    if(d<=19)
	  						    {
	  						    	if(num==1)
	  						    	{
	  						    		Intent intent=new Intent(MainActivity.this,CurlAries1.class);
	  									startActivity(intent);
	  							 	}
	  						    	else if(num==2)
	  								{
	  									Intent intent=new Intent(MainActivity.this,CurlAries2.class);
	  									startActivity(intent);
	  								}
	  							    else if(num==3)  	
	  							    {
	  							    	Intent intent=new Intent(MainActivity.this,CurlAries3.class);
	  									startActivity(intent);
	  							    }
	  								else if(num==4)
	  								{
	  									Intent intent=new Intent(MainActivity.this,CurlAries4.class);
	  									startActivity(intent);
	  								}
	  						        else if(num==5)
	  						        {
	  						        	Intent intent=new Intent(MainActivity.this,CurlAries5.class);
	  									startActivity(intent);
	  						        }
	  								else if(num==6)
	  								{
	  									Intent intent=new Intent(MainActivity.this,CurlAries6.class);
	  									startActivity(intent);
	  								}
	  								else if(num==7)
	  								{
	  									Intent intent=new Intent(MainActivity.this,CurlAries7.class);
	  									startActivity(intent);
	  						    	}
	  							
	  								else if(num==8)
	  								{
	  									Intent intent=new Intent(MainActivity.this,CurlAries8.class);
	  									startActivity(intent);
	  						    	}
	  							
	  								else if(num==9)
	  								{
	  									Intent intent=new Intent(MainActivity.this,CurlAries9.class);
	  									startActivity(intent);
	  						    	}
	  						    }
	  						}   
	  					
	  					 if(m==6)
	  					 {
	  						 if(d>=22)
	  							  {	
	  								if(num==1)	
	  								{
	  									Intent intent=new Intent(MainActivity.this,Curlcancer1.class);
	  									startActivity(intent);
	  								}
	  								else if(num==2)	
	  								{
	  									Intent intent=new Intent(MainActivity.this,Curlcancer2.class);
	  									startActivity(intent);
	  										
	  								}
	  								else if(num==3)	
	  								{
	  									Intent intent=new Intent(MainActivity.this,Curlcancer3.class);
	  									startActivity(intent);
	  								}
	  							   else if(num==4)
	  							   {
	  								   Intent intent=new Intent(MainActivity.this,CurlCancer4.class);
	  									startActivity(intent);
	  							   }
	  							    else if(num==5)
	  							    {
	  							    	Intent intent=new Intent(MainActivity.this,Curlcancer5.class);
	  									startActivity(intent);
	  							    }
	  								else if(num==6)
	  								{
	  									Intent intent=new Intent(MainActivity.this,Curlcancer6.class);
	  									startActivity(intent);
	  								}
	  								else if(num==7)
	  								{
	  									Intent intent=new Intent(MainActivity.this,CurlCancer7.class);
	  									startActivity(intent);
	  								}
	  								else if(num==8)
	  								{
	  									Intent intent=new Intent(MainActivity.this,Curlcancer8.class);
	  									startActivity(intent);
	  								}
	  							   else if(num==9)
	  								{
	  									Intent intent=new Intent(MainActivity.this,Curlcancer9.class);
	  									startActivity(intent);
	  								}
	  							    	
	  							  }
	  					 }
	  					 
	  					 if(m==7)
	  					 {
	  					  if(d<=22)
	  					  {
	  							    	if(num==1)
	  							    	{
	  							    		Intent intent=new Intent(MainActivity.this,Curlcancer1.class);
	  										startActivity(intent);
	  							    	}
	  							    		
	  									else if(num == 2)
	  									{
	  										Intent intent=new Intent(MainActivity.this,Curlcancer2.class);
	  										startActivity(intent);
	  									}
	  							    		
	  								    else if(num==3)
	  								    {
	  								    	Intent intent=new Intent(MainActivity.this,Curlcancer3.class);
	  										startActivity(intent);
	  								    }
	  							    		
	  									else if(num == 4)
	  									{
	  										Intent intent=new Intent(MainActivity.this,CurlCancer4.class);
	  										startActivity(intent);
	  									}
	  							    		
	  							        else if(num==5)	
	  							        {
	  							        	Intent intent=new Intent(MainActivity.this,Curlcancer5.class);
	  										startActivity(intent);
	  							        }
	  							    		
	  									else if(num==6)
	  									{
	  										Intent intent=new Intent(MainActivity.this,Curlcancer6.class);
	  										startActivity(intent);
	  									}
	  							    		
	  									else if(num==7)
	  									{
	  										Intent intent=new Intent(MainActivity.this,CurlCancer7.class);
	  										startActivity(intent);
	  									}
	  							    		
	  									else if(num==8)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,Curlcancer8.class);
	  										startActivity(intent);
	  									}
	  							    		
	  									else if(num==9)
	  									{
	  										Intent intent=new Intent(MainActivity.this,Curlcancer9.class);
	  										startActivity(intent);
	  									}
	  							    		
	  					  		}
	  					 	}
	  					 if(m==12)
	  					 {
	  						    if (d>=22)
	  						    {
	  						    	if(num ==1)
	  								{
	  									Intent intent=new Intent(MainActivity.this,curlcap1.class);
	  									startActivity(intent);
	  								 }
	  									else if(num==2)
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlcap2.class);
	  										startActivity(intent);
	  									}
	  								    else if(num==3)	
	  								    {
	  								    	Intent intent=new Intent(MainActivity.this,curlcap3.class);
	  										startActivity(intent);
	  								    }
	  									else if(num==4)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlcap4.class);
	  										startActivity(intent);
	  									}
	  							    	
	  							        else if(num==5)
	  							        {
	  							        	Intent intent=new Intent(MainActivity.this,curlcap5.class);
	  										startActivity(intent);
	  							        }
	  									else if(num==6)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlcap6.class);
	  										startActivity(intent);
	  									}
	  									else if(num==7 )
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlcap7.class);
	  										startActivity(intent);
	  									}
	  									else if(num==8)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlcap8.class);
	  										startActivity(intent);
	  									}
	  									else if(num==9)
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlcap9.class);
	  										startActivity(intent);
	  									}
	  						    }
	  					 }
	  					 if(m==1)
	  					 {
	  						 if(d<=19)
	  							    {
	  							    	if(num ==1)
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlcap1.class);
	  										startActivity(intent);
	  									 }
	  										else if(num==2)
	  										{
	  											Intent intent=new Intent(MainActivity.this,curlcap2.class);
	  											startActivity(intent);
	  										}
	  									    else if(num==3)	
	  									    {
	  									    	Intent intent=new Intent(MainActivity.this,curlcap3.class);
	  											startActivity(intent);
	  									    }
	  										else if(num==4)	
	  										{
	  											Intent intent=new Intent(MainActivity.this,curlcap4.class);
	  											startActivity(intent);
	  										}
	  								    	
	  								        else if(num==5)
	  								        {
	  								        	Intent intent=new Intent(MainActivity.this,curlcap5.class);
	  											startActivity(intent);
	  								        }
	  										else if(num==6)	
	  										{
	  											Intent intent=new Intent(MainActivity.this,curlcap6.class);
	  											startActivity(intent);
	  										}
	  										else if(num==7 )
	  										{
	  											Intent intent=new Intent(MainActivity.this,curlcap7.class);
	  											startActivity(intent);
	  										}
	  										else if(num==8)	
	  										{
	  											Intent intent=new Intent(MainActivity.this,curlcap8.class);
	  											startActivity(intent);
	  										}
	  										else if(num==9)
	  										{
	  											Intent intent=new Intent(MainActivity.this,curlcap9.class);
	  											startActivity(intent);
	  										}
	  					}
	  				}
	  					 if(m==5)
	  					 {
	  						 if(d>=21)
	  							    {
	  							if(num == 1 )
	  							{
	  								Intent intent=new Intent(MainActivity.this,Curlgemin1.class);
	  								startActivity(intent);
	  							}
	  							else if(num == 2)	
	  							{
	  								Intent intent=new Intent(MainActivity.this,Curlgemin2.class);
	  								startActivity(intent);
	  							}
	  							else if(num == 3)
	  							{
	  								 Intent intent=new Intent(MainActivity.this,Curlgemin3.class);
	  								 startActivity(intent);
	  							}
	  							else if(num == 4)
	  							{
	  								 Intent intent=new Intent(MainActivity.this,Curlgemin4.class);
	  								 startActivity(intent);
	  							}
	  							else if(num == 5)
	  							{
	  							      Intent intent=new Intent(MainActivity.this,Curlgemin5.class);
	  								  startActivity(intent);
	  							}
	  							else if(num == 6)
	  							{
	  							 	  Intent intent=new Intent(MainActivity.this,Curlgemin6.class);
	  								  startActivity(intent);
	  							}
	  							else if(num == 7)	
	  							{
	  							      Intent intent=new Intent(MainActivity.this,Curlgemin7.class);
	  								  startActivity(intent);
	  							}
	  							else if(num == 8)
	  							{
	  							      Intent intent=new Intent(MainActivity.this,Curlgemin8.class);
	  								  startActivity(intent);
	  							}
	  							else if(num==9)
	  							 {
	  							     Intent intent=new Intent(MainActivity.this,Curlgemin9.class);
	  								 startActivity(intent);
	  							        }
	  							     }
	  					 			}
	  					 if(m==6)
	  					 {
	  						if(d <=21)
	  						{
	  							if(num == 1 )
	  					    	{
	  								Intent intent=new Intent(MainActivity.this,Curlgemin1.class);
	  								startActivity(intent);
	  					    	}
	  							else if(num == 2)	
	  							{
	  								Intent intent=new Intent(MainActivity.this,Curlgemin2.class);
	  								startActivity(intent);
	  							}
	  						    else if(num == 3)
	  						    {
	  						    	Intent intent=new Intent(MainActivity.this,Curlgemin3.class);
	  								startActivity(intent);
	  						    }
	  							else if(num == 4)
	  							{
	  								Intent intent=new Intent(MainActivity.this,Curlgemin4.class);
	  								startActivity(intent);
	  							}
	  					        else if(num == 5)
	  					        {
	  					        	Intent intent=new Intent(MainActivity.this,Curlgemin5.class);
	  								startActivity(intent);
	  					        }
	  						    else if(num == 6)	
	  						    {
	  							    Intent intent=new Intent(MainActivity.this,Curlgemin6.class);
	  								startActivity(intent);
	  						    }
	  						    else if(num == 7)
	  						     {
	  							    Intent intent=new Intent(MainActivity.this,Curlgemin7.class);
	  								startActivity(intent);
	  						     }
	  						    else if(num == 8)
	  						    {  
	  							    Intent intent=new Intent(MainActivity.this,Curlgemin8.class);
	  								startActivity(intent);
	  						    }
	  						   else if(num == 9)	
	  							{
	  							   Intent intent=new Intent(MainActivity.this,Curlgemin9.class);
	  								startActivity(intent);	
	  						    }
	  							    		
	  						}
	  					 }
	  					 if(m==7)
	  						 {
	  						    if(d >=23 )
	  						    {
	  							    	if(num == 1)
	  							    	{
	  										Intent intent=new Intent(MainActivity.this,Curleo1.class);
	  										startActivity(intent);	
	  									}
	  									else if(num == 2)
	  									{
	  										 Intent intent=new Intent(MainActivity.this,Curleo2.class);
	  										startActivity(intent);	
	  									}
	  							       else if(num == 3)
	  							       {
	  							    	   Intent intent=new Intent(MainActivity.this,curleo3.class);
	  										startActivity(intent);	
	  							       }
	  							       else if(num == 4)	
	  							       {
	  							    	 Intent intent=new Intent(MainActivity.this,Curleo4.class);
	  									startActivity(intent);	
	  							       }
	  							        else if(num == 5)
	  							        { 
	  							         Intent intent=new Intent(MainActivity.this,Curleo5.class);
	  									 startActivity(intent);	
	  							        }
	  							        else if(num == 6)		  		
	  							        {
	  							  		 Intent intent=new Intent(MainActivity.this,Curleo6.class);
	  									startActivity(intent);	
	  							        }
	  							        else if(num ==7)
	  							        {
	  							   		Intent intent=new Intent(MainActivity.this,Curleo7.class);
	  									startActivity(intent);	
	  							        }
	  							        else if(num == 8)	
	  							        {
	  							    	Intent intent=new Intent(MainActivity.this,Curleo8.class);
	  									startActivity(intent);	
	  							        }
	  							        else if(num == 9)
	  							        {	
	  							    	Intent intent=new Intent(MainActivity.this,Curleo1.class);
	  									startActivity(intent);	
	  							        }
	  						    }
	  						 }
	  					 if(m==8)
	  						 {
	  						  if(d <=22)
	  						  {
	  							  if(num == 1)
	  						    	{
	  									Intent intent=new Intent(MainActivity.this,Curleo1.class);
	  									startActivity(intent);	
	  								}
	  								else if(num == 2)
	  								{
	  									 Intent intent=new Intent(MainActivity.this,Curleo2.class);
	  									startActivity(intent);	
	  								}
	  						       else if(num == 3)
	  						       {
	  						    	   Intent intent=new Intent(MainActivity.this,curleo3.class);
	  									startActivity(intent);	
	  						       }
	  						       else if(num == 4)	
	  						       {
	  						    	 Intent intent=new Intent(MainActivity.this,Curleo4.class);
	  								startActivity(intent);	
	  						       }
	  						        else if(num == 5)
	  						        { 
	  						         Intent intent=new Intent(MainActivity.this,Curleo5.class);
	  								 startActivity(intent);	
	  						        }
	  						        else if(num == 6)		  		
	  						        {
	  						  		 Intent intent=new Intent(MainActivity.this,Curleo6.class);
	  								startActivity(intent);	
	  						        }
	  						        else if(num ==7)
	  						        {
	  						   		Intent intent=new Intent(MainActivity.this,Curleo7.class);
	  								startActivity(intent);	
	  						        }
	  						        else if(num == 8)	
	  						        {
	  						    	Intent intent=new Intent(MainActivity.this,Curleo8.class);
	  								startActivity(intent);	
	  						        }
	  						        else if(num == 9)
	  						        {	
	  						    	Intent intent=new Intent(MainActivity.this,Curleo1.class);
	  								startActivity(intent);	
	  						        }
	  						      }
	  					
	  						 }
	  					 
	  					 if(m==9)
	  						 {
	  							    if(d >=23)
	  							    {
	  							    	  if(num == 1)
	  								    	{
	  										Intent intent=new Intent(MainActivity.this,curlibra1.class);
	  										startActivity(intent);	
	  										}
	  										else if(num == 2)
	  										{
	  										Intent intent=new Intent(MainActivity.this,curlibra2.class);
	  										startActivity(intent);	
	  										}
	  								       else if(num == 3)
	  								       {
	  								    	Intent intent=new Intent(MainActivity.this,curlibra3.class);
	  										startActivity(intent);	
	  								       }
	  								       else if(num == 4)	
	  								       {
	  								    	 Intent intent=new Intent(MainActivity.this,curlibra4.class);
	  										startActivity(intent);	
	  								       }
	  								        else if(num == 5)
	  								        { 
	  								         Intent intent=new Intent(MainActivity.this,curlibra5.class);
	  										 startActivity(intent);	
	  								        }
	  								        else if(num == 6)		  		
	  								        {
	  								  		 Intent intent=new Intent(MainActivity.this,curlibra6.class);
	  										startActivity(intent);	
	  								        }
	  								        else if(num ==7)
	  								        {
	  								   		Intent intent=new Intent(MainActivity.this,curlibra7.class);
	  										startActivity(intent);	
	  								        }
	  								        else if(num == 8)	
	  								        {
	  								    	Intent intent=new Intent(MainActivity.this,curlibra8.class);
	  										startActivity(intent);	
	  								        }
	  								        else if(num == 9)
	  								        {	
	  								    	Intent intent=new Intent(MainActivity.this,curlibra9.class);
	  										startActivity(intent);	
	  								        }
	  						 }
	  					}
	  					 
	  					 if(m==10)
	  					 {
	  							    if(d <=22)
	  							    {
	  							    	  if(num == 1)
	  								    	{
	  										Intent intent=new Intent(MainActivity.this,curlibra1.class);
	  										startActivity(intent);	
	  										}
	  										else if(num == 2)
	  										{
	  										Intent intent=new Intent(MainActivity.this,curlibra2.class);
	  										startActivity(intent);	
	  										}
	  								       else if(num == 3)
	  								       {
	  								    	Intent intent=new Intent(MainActivity.this,curlibra3.class);
	  										startActivity(intent);	
	  								       }
	  								       else if(num == 4)	
	  								       {
	  								    	Intent intent=new Intent(MainActivity.this,curlibra4.class);
	  										startActivity(intent);	
	  								       }
	  								       else if(num == 5)
	  								       { 
	  								       Intent intent=new Intent(MainActivity.this,curlibra5.class);
	  										startActivity(intent);	
	  								       }
	  								       else if(num == 6)		  		
	  								       {
	  								  		Intent intent=new Intent(MainActivity.this,curlibra6.class);
	  										startActivity(intent);	
	  								       }
	  								       else if(num ==7)
	  								       {
	  								   		Intent intent=new Intent(MainActivity.this,curlibra7.class);
	  										startActivity(intent);	
	  								       }
	  								       else if(num == 8)	
	  								       {
	  								    	Intent intent=new Intent(MainActivity.this,curlibra8.class);
	  										startActivity(intent);	
	  								       }
	  								       else if(num == 9)
	  								        {	
	  								    	Intent intent=new Intent(MainActivity.this,curlibra9.class);
	  										startActivity(intent);	
	  								        }
	  							    }
	  					     }
	  					 if(m==2)
	  					 {
	  							    if(d >=19)
	  							    {
	  									if(num == 1)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlpisces1.class);
	  										startActivity(intent);	
	  									}
	  									else if(num == 2)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlpisces2.class);
	  										startActivity(intent);	
	  									}
	  								    else if(num == 3)	
	  								    {
	  								    	Intent intent=new Intent(MainActivity.this,curlpisces3.class);
	  										startActivity(intent);	
	  								    }
	  									else if(num == 4)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlpisces4.class);
	  										startActivity(intent);	
	  									}
	  							        else if(num == 5)	
	  							        {
	  							        	Intent intent=new Intent(MainActivity.this,curlpisces5.class);
	  										startActivity(intent);	
	  							        }
	  									else if(num==6)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlpisces6.class);
	  										startActivity(intent);	
	  									}
	  									else if(num == 7)
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlpisces7.class);
	  										startActivity(intent);	
	  									}
	  									else if(num==8)
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlpisces8.class);
	  										startActivity(intent);	
	  									}
	  									else if(num==9)
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlpisces9.class);
	  										startActivity(intent);	
	  									}
	  							    }
	  					    }
	  				
	  					 if(m==3)
	  					 {
	  							    if(d <=20)
	  							    {
	  							    	if(num == 1)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlpisces1.class);
	  										startActivity(intent);	
	  									}
	  									else if(num == 2)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlpisces2.class);
	  										startActivity(intent);	
	  									}
	  								    else if(num == 3)	
	  								    {
	  								    	Intent intent=new Intent(MainActivity.this,curlpisces3.class);
	  										startActivity(intent);	
	  								    }
	  									else if(num == 4)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlpisces4.class);
	  										startActivity(intent);	
	  									}
	  							        else if(num == 5)	
	  							        {
	  							        	Intent intent=new Intent(MainActivity.this,curlpisces5.class);
	  										startActivity(intent);	
	  							        }
	  									else if(num==6)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlpisces6.class);
	  										startActivity(intent);	
	  									}
	  									else if(num == 7)
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlpisces7.class);
	  										startActivity(intent);	
	  									}
	  									else if(num==8)
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlpisces8.class);
	  										startActivity(intent);	
	  									}
	  									else if(num==9)
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlpisces9.class);
	  										startActivity(intent);	
	  									}		
	  							    }
	  					            }
	  					 
	  					 if(m==11) {
	  						if(d>=22){
	  							    	if(num==1)
	  							    	{
	  							    		Intent intent=new Intent(MainActivity.this,curlsagg1.class);
	  										startActivity(intent);	
	  							    	}
	  									else if(num==2)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlsagg2.class);
	  										startActivity(intent);	
	  									}
	  								    else if(num==3)	
	  								    {
	  								    	Intent intent=new Intent(MainActivity.this,curlsagg3.class);
	  										startActivity(intent);	
	  								    }
	  									else if(num == 4)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlsagg4.class);
	  										startActivity(intent);	
	  									}
	  							        else if(num == 5)
	  							        {
	  							        	Intent intent=new Intent(MainActivity.this,curlsagg5.class);
	  										startActivity(intent);	
	  							        }
	  									else if(num==6)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlsagg6.class);
	  										startActivity(intent);	
	  									}
	  									else if(num==7)
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlsagg7.class);
	  										startActivity(intent);	
	  									}
	  									else if(num==8)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlsagg8.class);
	  										startActivity(intent);	
	  									}
	  									else if(num==9)
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlsagg9.class);
	  										startActivity(intent);	
	  									}
	  						}
	  					 }
	  					 
	  					 if(m==12) 
	  					 {
	  							    if(d <=21)
	  							    {
	  							    	if(num==1)
	  							    	{
	  							    		Intent intent=new Intent(MainActivity.this,curlsagg1.class);
	  										startActivity(intent);	
	  							    	}
	  									else if(num==2)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlsagg2.class);
	  										startActivity(intent);	
	  									}
	  								    else if(num==3)	
	  								    {
	  								    	Intent intent=new Intent(MainActivity.this,curlsagg3.class);
	  										startActivity(intent);	
	  								    }
	  									else if(num == 4)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlsagg4.class);
	  										startActivity(intent);	
	  									}
	  							        else if(num == 5)
	  							        {
	  							        	Intent intent=new Intent(MainActivity.this,curlsagg5.class);
	  										startActivity(intent);	
	  							        }
	  									else if(num==6)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlsagg6.class);
	  										startActivity(intent);	
	  									}
	  									else if(num==7)
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlsagg7.class);
	  										startActivity(intent);	
	  									}
	  									else if(num==8)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlsagg8.class);
	  										startActivity(intent);	
	  									}
	  									else if(num==9)
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlsagg9.class);
	  										startActivity(intent);	
	  									}
	  							    }
	  					 }
	  					 
	  					 
	  					 if (m==10)
	  					 {
	  							    if(d >=23)
	  							    {
	  							    	if(num == 1)
	  							    	{
	  							    		Intent intent=new Intent(MainActivity.this,curlscor1.class);
	  										startActivity(intent);	
	  							    	}
	  							    	
	  									else if(num == 2)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlscor2.class);
	  										startActivity(intent);	
	  									}
	  							    	
	  								    else if(num == 3)	
	  								    {
	  								    	Intent intent=new Intent(MainActivity.this,curlscor3.class);
	  										startActivity(intent);	
	  								    }
	  									else if(num == 4)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlscor4.class);
	  										startActivity(intent);	
	  									}
	  							        else if(num == 5)	
	  							        {
	  							        	Intent intent=new Intent(MainActivity.this,curlscor5.class);
	  										startActivity(intent);	
	  							        }
	  									else if(num == 6)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlscor6.class);
	  										startActivity(intent);	
	  									}
	  									else if(num==7)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlscor7.class);
	  										startActivity(intent);	
	  									}
	  									else if(num==8)
	  							    	{
	  										Intent intent=new Intent(MainActivity.this,curlscor8.class);
	  										startActivity(intent);	
	  							    	}
	  									else if(num == 9)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlscor9.class);
	  										startActivity(intent);	
	  									}
	  							    }
	  					 }
	  					 
	  					 if(m==11)
	  					 {
	  							    if(d <=21)
	  							    {
	  							    	if(num == 1)
	  							    	{
	  							    		Intent intent=new Intent(MainActivity.this,curlscor1.class);
	  										startActivity(intent);	
	  							    	}
	  							    	
	  									else if(num == 2)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlscor2.class);
	  										startActivity(intent);	
	  									}
	  							    	
	  								    else if(num == 3)	
	  								    {
	  								    	Intent intent=new Intent(MainActivity.this,curlscor3.class);
	  										startActivity(intent);	
	  								    }
	  									else if(num == 4)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlscor4.class);
	  										startActivity(intent);	
	  									}
	  							        else if(num == 5)	
	  							        {
	  							        	Intent intent=new Intent(MainActivity.this,curlscor5.class);
	  										startActivity(intent);	
	  							        }
	  									else if(num == 6)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlscor6.class);
	  										startActivity(intent);	
	  									}
	  									else if(num==7)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlscor7.class);
	  										startActivity(intent);	
	  									}
	  									else if(num==8)
	  							    	{
	  										Intent intent=new Intent(MainActivity.this,curlscor8.class);
	  										startActivity(intent);	
	  							    	}
	  									else if(num == 9)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlscor9.class);
	  										startActivity(intent);	
	  									}
	  							    }
	  					 }
	  					 
	  					 if(m==4)
	  					 {
	  							    if(d >= 20)
	  							    {
	  							    	if(num ==1)	
	  							    	  {
	  										 Intent intent=new Intent(MainActivity.this,Curltaur1.class);
	  										 startActivity(intent);
	  									  }
	  							    	else if(num == 2 )	
	  							    	  {
	  										 Intent intent=new Intent(MainActivity.this,Curltaur2.class);
	  										 startActivity(intent);
	  									  }
	  							        else if(num == 3)	
	  							   	      {
	  										 Intent intent=new Intent(MainActivity.this,Curltaur3.class);
	  										 startActivity(intent);
	  									  }
	  							     	else if(num == 4)	
	  							   	      {
	  										 Intent intent=new Intent(MainActivity.this,CurlTaur4.class);
	  										 startActivity(intent);
	  									  }
	  							        else if(num == 5)	
	  							        {
	  							        	Intent intent=new Intent(MainActivity.this,Curltaur5.class);
	  										startActivity(intent);
	  							        }
	  							    	else if(num == 6)	
	  							    	{
	  							    		Intent intent=new Intent(MainActivity.this,Curltaur6.class);
	  										startActivity(intent);
	  							    	}
	  									else if(num == 7)
	  									{
	  										Intent intent=new Intent(MainActivity.this,Curltaur7.class);
	  										startActivity(intent);
	  									}
	  									else if(num == 8)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,Curltaur8.class);
	  										startActivity(intent);
	  									}
	  									else if(num == 9)	
	  							    	{
	  										Intent intent=new Intent(MainActivity.this,Curltaur9.class);
	  										startActivity(intent);
	  							    	}
	  							 }
	  					 }
	  					 
	  					 if(m==5)
	  					 {
	  							    if(d <= 20 )
	  							    {
	  							    	 if(num==1)
	  									 {
	  										 Intent intent=new Intent(MainActivity.this,Curltaur1.class);
	  										 startActivity(intent);
	  									 }
	  							    	 else if(num == 2)
	  							    	 {
	  										 Intent intent=new Intent(MainActivity.this,Curltaur2.class);
	  										 startActivity(intent);
	  									 }
	  							        else if(num == 3)
	  								    {
	  										 Intent intent=new Intent(MainActivity.this,Curltaur3.class);
	  										 startActivity(intent);
	  									 }
	  							    	 else if(num==4)	
	  									 {
	  										 Intent intent=new Intent(MainActivity.this,CurlTaur4.class);
	  										 startActivity(intent);
	  									 }
	  							         else if(num == 5)
	  							         {
	  							        	 Intent intent=new Intent(MainActivity.this,Curltaur5.class);
	  										 startActivity(intent);
	  							         }
	  									 else if(num == 6)	
	  									 {
	  										 Intent intent=new Intent(MainActivity.this,Curltaur6.class);
	  										 startActivity(intent);
	  									 }
	  									else if(num == 7)
	  									{
	  										Intent intent=new Intent(MainActivity.this,Curltaur7.class);
	  										startActivity(intent);
	  									}
	  									else if(num == 8)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,Curltaur8.class);
	  										startActivity(intent);
	  									}
	  									else if(num==9)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,Curltaur9.class);
	  										startActivity(intent);
	  									}
	  							    }
	  					 }
	  					 
	  					 if(m==8)
	  					 {
	  							    if(d >=23)
	  							    {
	  							    	if(num==1)
	  									{
	  									    Intent intent=new Intent(MainActivity.this,curlvirgo1.class);
	  									    startActivity(intent);
	  									}
	  									else if(num == 2)
	  									{
	  									   Intent intent=new Intent(MainActivity.this,curlvirgo2.class);
	  									    startActivity(intent);
	  									}
	  								  else if(num == 3)
	  									{
	  									    Intent intent=new Intent(MainActivity.this,curlvirgo3.class);
	  									    startActivity(intent);
	  									}
	  								  else if(num==4)	
	  									{
	  									    Intent intent=new Intent(MainActivity.this,curlvirgo4.class);
	  									    startActivity(intent);
	  									 }
	  								 else if(num == 5)
	  									 {
	  								    	Intent intent=new Intent(MainActivity.this,curlvirgo5.class);
	  								    	startActivity(intent);
	  									 }
	  								else if(num == 6)	
	  									{
	  									    Intent intent=new Intent(MainActivity.this,curlvirgo6.class);
	  									    startActivity(intent);
	  									}
	  								else if(num == 7)
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlvirgo7.class);
	  										startActivity(intent);
	  								    }
	  								else if(num == 8)	
	  								    {
	  										Intent intent=new Intent(MainActivity.this,curlvirgo8.class);
	  										startActivity(intent);
	  								    }
	  								else if(num==9)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlvirgo9.class);
	  										startActivity(intent);
	  									}
	  							    }
	  					 }
	  					 
	  					 if(m==9)
	  					 {
	  							    if(d <=22) 
	  							    {
	  							    	if(num==1)
	  									{
	  									    Intent intent=new Intent(MainActivity.this,curlvirgo1.class);
	  									    startActivity(intent);
	  									}
	  									else if(num == 2)
	  									{
	  									   Intent intent=new Intent(MainActivity.this,curlvirgo2.class);
	  									    startActivity(intent);
	  									}
	  								  else if(num == 3)
	  									{
	  									    Intent intent=new Intent(MainActivity.this,curlvirgo3.class);
	  									    startActivity(intent);
	  									}
	  								  else if(num==4)	
	  									{
	  									    Intent intent=new Intent(MainActivity.this,curlvirgo4.class);
	  									    startActivity(intent);
	  									 }
	  								 else if(num == 5)
	  									 {
	  								    	Intent intent=new Intent(MainActivity.this,curlvirgo5.class);
	  								    	startActivity(intent);
	  									 }
	  								else if(num == 6)	
	  									{
	  									    Intent intent=new Intent(MainActivity.this,curlvirgo6.class);
	  									    startActivity(intent);
	  									}
	  								else if(num == 7)
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlvirgo7.class);
	  										startActivity(intent);
	  								    }
	  								else if(num == 8)	
	  								    {
	  										Intent intent=new Intent(MainActivity.this,curlvirgo8.class);
	  										startActivity(intent);
	  								    }
	  								else if(num==9)	
	  									{
	  										Intent intent=new Intent(MainActivity.this,curlvirgo9.class);
	  										startActivity(intent);
	  									}
	  							    }
	  					 }
				
	  		            }
	  				});
				}		
			else
			{	
				
				if(num>=10)
				{
					 num1 = num;
					 int s=0;
					while(num1!=0)
					{
						k=num1%10;
						s=s+k;
						num1=num1/10;
					}
					num=s;
		 }
	//	Toast.makeText(MainActivity.this, "date:"+d+"/"+m+"/"+y+num, Toast.LENGTH_LONG).show();
		   		
			if(m==1)
			{
				if(d>=20)
				{
					if(num==1)
					{
						Intent intent=new Intent(MainActivity.this,curlaq1.class);
						startActivity(intent);
					}
					else if(num==2)
					{
						Intent intent=new Intent(MainActivity.this,curlaq2.class);
						startActivity(intent);
					}
					else if(num==3)
					{
						Intent intent=new Intent(MainActivity.this,curlaq3.class);
						startActivity(intent);
					}
				    else if(num==4)	
				    {
				    	Intent intent=new Intent(MainActivity.this,curlaq4.class);
						startActivity(intent);
				    }
				    else if(num==5)
				    {
				    	Intent intent=new Intent(MainActivity.this,curlaq5.class);
						startActivity(intent);
				    }
					else if(num==6)	
					{
						Intent intent=new Intent(MainActivity.this,curlaq6.class);
						startActivity(intent);
					}
					else if(num==7)
					{
						Intent intent=new Intent(MainActivity.this,curlaq7.class);
						startActivity(intent);
					}
					else if(num==8)
					{
						Intent intent=new Intent(MainActivity.this,curlaq8.class);
						startActivity(intent);
					}
					else if(num==9)	
					{
						Intent intent=new Intent(MainActivity.this,curlaq9.class);
						startActivity(intent);
					}
				}
			}
			
			if(m==2)
			{
				    if(d <=18)
				    {
				    	if(num==1)
						{
							Intent intent=new Intent(MainActivity.this,curlaq1.class);
							startActivity(intent);
						}
						else if(num==2)
						{
							Intent intent=new Intent(MainActivity.this,curlaq2.class);
							startActivity(intent);
						}
						else if(num==3)
						{
							Intent intent=new Intent(MainActivity.this,curlaq3.class);
							startActivity(intent);
						}
					    else if(num==4)	
					    {
					    	Intent intent=new Intent(MainActivity.this,curlaq4.class);
							startActivity(intent);
					    }
					    else if(num==5)
					    {
					    	Intent intent=new Intent(MainActivity.this,curlaq5.class);
							startActivity(intent);
					    }
						else if(num==6)	
						{
							Intent intent=new Intent(MainActivity.this,curlaq6.class);
							startActivity(intent);
						}
						else if(num==7)
						{
							Intent intent=new Intent(MainActivity.this,curlaq7.class);
							startActivity(intent);
						}
						else if(num==8)
						{
							Intent intent=new Intent(MainActivity.this,curlaq8.class);
							startActivity(intent);
						}
						else if(num==9)	
						{
							Intent intent=new Intent(MainActivity.this,curlaq9.class);
							startActivity(intent);
				 }
			   }
			}
			
			if(m==3)
			{
				  if(d>=21)
				    {
				     	if(num==1)
				     	{
				     		Intent intent=new Intent(MainActivity.this,CurlAries1.class);
							startActivity(intent);
				     	}
				    		
						else if(num==2)	
						{
							Intent intent=new Intent(MainActivity.this,CurlAries2.class);
							startActivity(intent);
						}
					    else if(num==3)
					    {
					    	Intent intent=new Intent(MainActivity.this,CurlAries3.class);
							startActivity(intent);
					    }
						else if(num==4)
						{
							Intent intent=new Intent(MainActivity.this,CurlAries4.class);
							startActivity(intent);
						}
				        else if(num==5)	
				    	{
				        	Intent intent=new Intent(MainActivity.this,CurlAries5.class);
							startActivity(intent);
				    	}
						else if(num==6)
				    	{
							Intent intent=new Intent(MainActivity.this,CurlAries6.class);
							startActivity(intent);
				    	}
						else if(num==7)	
						{
							Intent intent=new Intent(MainActivity.this,CurlAries7.class);
							startActivity(intent);
				    	}
				    	else if(num==8)
						{
							Intent intent=new Intent(MainActivity.this,CurlAries8.class);
							startActivity(intent);
				    	}
						else if(num==9)
						{
							Intent intent=new Intent(MainActivity.this,CurlAries9.class);
							startActivity(intent);
				}
			  }
			}
			if(m==4)
				{
				    if(d<=19)
				    {
				    	if(num==1)
				    	{
				    		Intent intent=new Intent(MainActivity.this,CurlAries1.class);
							startActivity(intent);
					 	}
				    	else if(num==2)
						{
							Intent intent=new Intent(MainActivity.this,CurlAries2.class);
							startActivity(intent);
						}
					    else if(num==3)  	
					    {
					    	Intent intent=new Intent(MainActivity.this,CurlAries3.class);
							startActivity(intent);
					    }
						else if(num==4)
						{
							Intent intent=new Intent(MainActivity.this,CurlAries4.class);
							startActivity(intent);
						}
				        else if(num==5)
				        {
				        	Intent intent=new Intent(MainActivity.this,CurlAries5.class);
							startActivity(intent);
				        }
						else if(num==6)
						{
							Intent intent=new Intent(MainActivity.this,CurlAries6.class);
							startActivity(intent);
						}
						else if(num==7)
						{
							Intent intent=new Intent(MainActivity.this,CurlAries7.class);
							startActivity(intent);
				    	}
					
						else if(num==8)
						{
							Intent intent=new Intent(MainActivity.this,CurlAries8.class);
							startActivity(intent);
				    	}
					
						else if(num==9)
						{
							Intent intent=new Intent(MainActivity.this,CurlAries9.class);
							startActivity(intent);
				    	}
				    }
				}   
			
			 if(m==6)
			 {
				 if(d>=22)
					  {	
						if(num==1)	
						{
							Intent intent=new Intent(MainActivity.this,Curlcancer1.class);
							startActivity(intent);
						}
						else if(num==2)	
						{
							Intent intent=new Intent(MainActivity.this,Curlcancer2.class);
							startActivity(intent);
								
						}
						else if(num==3)	
						{
							Intent intent=new Intent(MainActivity.this,Curlcancer3.class);
							startActivity(intent);
						}
					   else if(num==4)
					   {
						   Intent intent=new Intent(MainActivity.this,CurlCancer4.class);
							startActivity(intent);
					   }
					    else if(num==5)
					    {
					    	Intent intent=new Intent(MainActivity.this,Curlcancer5.class);
							startActivity(intent);
					    }
						else if(num==6)
						{
							Intent intent=new Intent(MainActivity.this,Curlcancer6.class);
							startActivity(intent);
						}
						else if(num==7)
						{
							Intent intent=new Intent(MainActivity.this,CurlCancer7.class);
							startActivity(intent);
						}
						else if(num==8)
						{
							Intent intent=new Intent(MainActivity.this,Curlcancer8.class);
							startActivity(intent);
						}
					   else if(num==9)
						{
							Intent intent=new Intent(MainActivity.this,Curlcancer9.class);
							startActivity(intent);
						}
					    	
					  }
			 }
			 
			 if(m==7)
			 {
			  if(d<=22)
			  {
					    	if(num==1)
					    	{
					    		Intent intent=new Intent(MainActivity.this,Curlcancer1.class);
								startActivity(intent);
					    	}
					    		
							else if(num == 2)
							{
								Intent intent=new Intent(MainActivity.this,Curlcancer2.class);
								startActivity(intent);
							}
					    		
						    else if(num==3)
						    {
						    	Intent intent=new Intent(MainActivity.this,Curlcancer3.class);
								startActivity(intent);
						    }
					    		
							else if(num == 4)
							{
								Intent intent=new Intent(MainActivity.this,CurlCancer4.class);
								startActivity(intent);
							}
					    		
					        else if(num==5)	
					        {
					        	Intent intent=new Intent(MainActivity.this,Curlcancer5.class);
								startActivity(intent);
					        }
					    		
							else if(num==6)
							{
								Intent intent=new Intent(MainActivity.this,Curlcancer6.class);
								startActivity(intent);
							}
					    		
							else if(num==7)
							{
								Intent intent=new Intent(MainActivity.this,CurlCancer7.class);
								startActivity(intent);
							}
					    		
							else if(num==8)	
							{
								Intent intent=new Intent(MainActivity.this,Curlcancer8.class);
								startActivity(intent);
							}
					    		
							else if(num==9)
							{
								Intent intent=new Intent(MainActivity.this,Curlcancer9.class);
								startActivity(intent);
							}
					    		
			  		}
			 	}
			 if(m==12)
			 {
				    if (d>=22)
				    {
				    	if(num ==1)
						{
							Intent intent=new Intent(MainActivity.this,curlcap1.class);
							startActivity(intent);
						 }
							else if(num==2)
							{
								Intent intent=new Intent(MainActivity.this,curlcap2.class);
								startActivity(intent);
							}
						    else if(num==3)	
						    {
						    	Intent intent=new Intent(MainActivity.this,curlcap3.class);
								startActivity(intent);
						    }
							else if(num==4)	
							{
								Intent intent=new Intent(MainActivity.this,curlcap4.class);
								startActivity(intent);
							}
					    	
					        else if(num==5)
					        {
					        	Intent intent=new Intent(MainActivity.this,curlcap5.class);
								startActivity(intent);
					        }
							else if(num==6)	
							{
								Intent intent=new Intent(MainActivity.this,curlcap6.class);
								startActivity(intent);
							}
							else if(num==7 )
							{
								Intent intent=new Intent(MainActivity.this,curlcap7.class);
								startActivity(intent);
							}
							else if(num==8)	
							{
								Intent intent=new Intent(MainActivity.this,curlcap8.class);
								startActivity(intent);
							}
							else if(num==9)
							{
								Intent intent=new Intent(MainActivity.this,curlcap9.class);
								startActivity(intent);
							}
				    }
			 }
			 if(m==1)
			 {
				 if(d<=19)
					    {
					    	if(num ==1)
							{
								Intent intent=new Intent(MainActivity.this,curlcap1.class);
								startActivity(intent);
							 }
								else if(num==2)
								{
									Intent intent=new Intent(MainActivity.this,curlcap2.class);
									startActivity(intent);
								}
							    else if(num==3)	
							    {
							    	Intent intent=new Intent(MainActivity.this,curlcap3.class);
									startActivity(intent);
							    }
								else if(num==4)	
								{
									Intent intent=new Intent(MainActivity.this,curlcap4.class);
									startActivity(intent);
								}
						    	
						        else if(num==5)
						        {
						        	Intent intent=new Intent(MainActivity.this,curlcap5.class);
									startActivity(intent);
						        }
								else if(num==6)	
								{
									Intent intent=new Intent(MainActivity.this,curlcap6.class);
									startActivity(intent);
								}
								else if(num==7 )
								{
									Intent intent=new Intent(MainActivity.this,curlcap7.class);
									startActivity(intent);
								}
								else if(num==8)	
								{
									Intent intent=new Intent(MainActivity.this,curlcap8.class);
									startActivity(intent);
								}
								else if(num==9)
								{
									Intent intent=new Intent(MainActivity.this,curlcap9.class);
									startActivity(intent);
								}
			}
		}
			 if(m==5)
			 {
				 if(d>=21)
					    {
					if(num == 1 )
					{
						Intent intent=new Intent(MainActivity.this,Curlgemin1.class);
						startActivity(intent);
					}
					else if(num == 2)	
					{
						Intent intent=new Intent(MainActivity.this,Curlgemin2.class);
						startActivity(intent);
					}
					else if(num == 3)
					{
						 Intent intent=new Intent(MainActivity.this,Curlgemin3.class);
						 startActivity(intent);
					}
					else if(num == 4)
					{
						 Intent intent=new Intent(MainActivity.this,Curlgemin4.class);
						 startActivity(intent);
					}
					else if(num == 5)
					{
					      Intent intent=new Intent(MainActivity.this,Curlgemin5.class);
						  startActivity(intent);
					}
					else if(num == 6)
					{
					 	  Intent intent=new Intent(MainActivity.this,Curlgemin6.class);
						  startActivity(intent);
					}
					else if(num == 7)	
					{
					      Intent intent=new Intent(MainActivity.this,Curlgemin7.class);
						  startActivity(intent);
					}
					else if(num == 8)
					{
					      Intent intent=new Intent(MainActivity.this,Curlgemin8.class);
						  startActivity(intent);
					}
					else if(num==9)
					 {
					     Intent intent=new Intent(MainActivity.this,Curlgemin9.class);
						 startActivity(intent);
					        }
					     }
			 			}
			 if(m==6)
			 {
				if(d <=21)
				{
					if(num == 1 )
			    	{
						Intent intent=new Intent(MainActivity.this,Curlgemin1.class);
						startActivity(intent);
			    	}
					else if(num == 2)	
					{
						Intent intent=new Intent(MainActivity.this,Curlgemin2.class);
						startActivity(intent);
					}
				    else if(num == 3)
				    {
				    	Intent intent=new Intent(MainActivity.this,Curlgemin3.class);
						startActivity(intent);
				    }
					else if(num == 4)
					{
						Intent intent=new Intent(MainActivity.this,Curlgemin4.class);
						startActivity(intent);
					}
			        else if(num == 5)
			        {
			        	Intent intent=new Intent(MainActivity.this,Curlgemin5.class);
						startActivity(intent);
			        }
				    else if(num == 6)	
				    {
					    Intent intent=new Intent(MainActivity.this,Curlgemin6.class);
						startActivity(intent);
				    }
				    else if(num == 7)
				     {
					    Intent intent=new Intent(MainActivity.this,Curlgemin7.class);
						startActivity(intent);
				     }
				    else if(num == 8)
				    {  
					    Intent intent=new Intent(MainActivity.this,Curlgemin8.class);
						startActivity(intent);
				    }
				   else if(num == 9)	
					{
					   Intent intent=new Intent(MainActivity.this,Curlgemin9.class);
						startActivity(intent);	
				    }
					    		
				}
			 }
			 if(m==7)
				 {
				    if(d >=23 )
				    {
					    	if(num == 1)
					    	{
								Intent intent=new Intent(MainActivity.this,Curleo1.class);
								startActivity(intent);	
							}
							else if(num == 2)
							{
								 Intent intent=new Intent(MainActivity.this,Curleo2.class);
								startActivity(intent);	
							}
					       else if(num == 3)
					       {
					    	   Intent intent=new Intent(MainActivity.this,curleo3.class);
								startActivity(intent);	
					       }
					       else if(num == 4)	
					       {
					    	 Intent intent=new Intent(MainActivity.this,Curleo4.class);
							startActivity(intent);	
					       }
					        else if(num == 5)
					        { 
					         Intent intent=new Intent(MainActivity.this,Curleo5.class);
							 startActivity(intent);	
					        }
					        else if(num == 6)		  		
					        {
					  		 Intent intent=new Intent(MainActivity.this,Curleo6.class);
							startActivity(intent);	
					        }
					        else if(num ==7)
					        {
					   		Intent intent=new Intent(MainActivity.this,Curleo7.class);
							startActivity(intent);	
					        }
					        else if(num == 8)	
					        {
					    	Intent intent=new Intent(MainActivity.this,Curleo8.class);
							startActivity(intent);	
					        }
					        else if(num == 9)
					        {	
					    	Intent intent=new Intent(MainActivity.this,Curleo1.class);
							startActivity(intent);	
					        }
				    }
				 }
			 if(m==8)
				 {
				  if(d <=22)
				  {
					  if(num == 1)
				    	{
							Intent intent=new Intent(MainActivity.this,Curleo1.class);
							startActivity(intent);	
						}
						else if(num == 2)
						{
							 Intent intent=new Intent(MainActivity.this,Curleo2.class);
							startActivity(intent);	
						}
				       else if(num == 3)
				       {
				    	   Intent intent=new Intent(MainActivity.this,curleo3.class);
							startActivity(intent);	
				       }
				       else if(num == 4)	
				       {
				    	 Intent intent=new Intent(MainActivity.this,Curleo4.class);
						startActivity(intent);	
				       }
				        else if(num == 5)
				        { 
				         Intent intent=new Intent(MainActivity.this,Curleo5.class);
						 startActivity(intent);	
				        }
				        else if(num == 6)		  		
				        {
				  		 Intent intent=new Intent(MainActivity.this,Curleo6.class);
						startActivity(intent);	
				        }
				        else if(num ==7)
				        {
				   		Intent intent=new Intent(MainActivity.this,Curleo7.class);
						startActivity(intent);	
				        }
				        else if(num == 8)	
				        {
				    	Intent intent=new Intent(MainActivity.this,Curleo8.class);
						startActivity(intent);	
				        }
				        else if(num == 9)
				        {	
				    	Intent intent=new Intent(MainActivity.this,Curleo1.class);
						startActivity(intent);	
				        }
				      }
			
				 }
			 
			 if(m==9)
				 {
					    if(d >=23)
					    {
					    	  if(num == 1)
						    	{
								Intent intent=new Intent(MainActivity.this,curlibra1.class);
								startActivity(intent);	
								}
								else if(num == 2)
								{
								Intent intent=new Intent(MainActivity.this,curlibra2.class);
								startActivity(intent);	
								}
						       else if(num == 3)
						       {
						    	Intent intent=new Intent(MainActivity.this,curlibra3.class);
								startActivity(intent);	
						       }
						       else if(num == 4)	
						       {
						    	 Intent intent=new Intent(MainActivity.this,curlibra4.class);
								startActivity(intent);	
						       }
						        else if(num == 5)
						        { 
						         Intent intent=new Intent(MainActivity.this,curlibra5.class);
								 startActivity(intent);	
						        }
						        else if(num == 6)		  		
						        {
						  		 Intent intent=new Intent(MainActivity.this,curlibra6.class);
								startActivity(intent);	
						        }
						        else if(num ==7)
						        {
						   		Intent intent=new Intent(MainActivity.this,curlibra7.class);
								startActivity(intent);	
						        }
						        else if(num == 8)	
						        {
						    	Intent intent=new Intent(MainActivity.this,curlibra8.class);
								startActivity(intent);	
						        }
						        else if(num == 9)
						        {	
						    	Intent intent=new Intent(MainActivity.this,curlibra9.class);
								startActivity(intent);	
						        }
				 }
			}
			 
			 if(m==10)
			 {
					    if(d <=22)
					    {
					    	  if(num == 1)
						    	{
								Intent intent=new Intent(MainActivity.this,curlibra1.class);
								startActivity(intent);	
								}
								else if(num == 2)
								{
								Intent intent=new Intent(MainActivity.this,curlibra2.class);
								startActivity(intent);	
								}
						       else if(num == 3)
						       {
						    	Intent intent=new Intent(MainActivity.this,curlibra3.class);
								startActivity(intent);	
						       }
						       else if(num == 4)	
						       {
						    	Intent intent=new Intent(MainActivity.this,curlibra4.class);
								startActivity(intent);	
						       }
						       else if(num == 5)
						       { 
						       Intent intent=new Intent(MainActivity.this,curlibra5.class);
								startActivity(intent);	
						       }
						       else if(num == 6)		  		
						       {
						  		Intent intent=new Intent(MainActivity.this,curlibra6.class);
								startActivity(intent);	
						       }
						       else if(num ==7)
						       {
						   		Intent intent=new Intent(MainActivity.this,curlibra7.class);
								startActivity(intent);	
						       }
						       else if(num == 8)	
						       {
						    	Intent intent=new Intent(MainActivity.this,curlibra8.class);
								startActivity(intent);	
						       }
						       else if(num == 9)
						        {	
						    	Intent intent=new Intent(MainActivity.this,curlibra9.class);
								startActivity(intent);	
						        }
					    }
			     }
			 if(m==2)
			 {
					    if(d >=19)
					    {
							if(num == 1)	
							{
								Intent intent=new Intent(MainActivity.this,curlpisces1.class);
								startActivity(intent);	
							}
							else if(num == 2)	
							{
								Intent intent=new Intent(MainActivity.this,curlpisces2.class);
								startActivity(intent);	
							}
						    else if(num == 3)	
						    {
						    	Intent intent=new Intent(MainActivity.this,curlpisces3.class);
								startActivity(intent);	
						    }
							else if(num == 4)	
							{
								Intent intent=new Intent(MainActivity.this,curlpisces4.class);
								startActivity(intent);	
							}
					        else if(num == 5)	
					        {
					        	Intent intent=new Intent(MainActivity.this,curlpisces5.class);
								startActivity(intent);	
					        }
							else if(num==6)	
							{
								Intent intent=new Intent(MainActivity.this,curlpisces6.class);
								startActivity(intent);	
							}
							else if(num == 7)
							{
								Intent intent=new Intent(MainActivity.this,curlpisces7.class);
								startActivity(intent);	
							}
							else if(num==8)
							{
								Intent intent=new Intent(MainActivity.this,curlpisces8.class);
								startActivity(intent);	
							}
							else if(num==9)
							{
								Intent intent=new Intent(MainActivity.this,curlpisces9.class);
								startActivity(intent);	
							}
					    }
			    }
		
			 if(m==3)
			 {
					    if(d <=20)
					    {
					    	if(num == 1)	
							{
								Intent intent=new Intent(MainActivity.this,curlpisces1.class);
								startActivity(intent);	
							}
							else if(num == 2)	
							{
								Intent intent=new Intent(MainActivity.this,curlpisces2.class);
								startActivity(intent);	
							}
						    else if(num == 3)	
						    {
						    	Intent intent=new Intent(MainActivity.this,curlpisces3.class);
								startActivity(intent);	
						    }
							else if(num == 4)	
							{
								Intent intent=new Intent(MainActivity.this,curlpisces4.class);
								startActivity(intent);	
							}
					        else if(num == 5)	
					        {
					        	Intent intent=new Intent(MainActivity.this,curlpisces5.class);
								startActivity(intent);	
					        }
							else if(num==6)	
							{
								Intent intent=new Intent(MainActivity.this,curlpisces6.class);
								startActivity(intent);	
							}
							else if(num == 7)
							{
								Intent intent=new Intent(MainActivity.this,curlpisces7.class);
								startActivity(intent);	
							}
							else if(num==8)
							{
								Intent intent=new Intent(MainActivity.this,curlpisces8.class);
								startActivity(intent);	
							}
							else if(num==9)
							{
								Intent intent=new Intent(MainActivity.this,curlpisces9.class);
								startActivity(intent);	
							}		
					    }
			            }
			 
			 if(m==11) {
				if(d>=22){
					    	if(num==1)
					    	{
					    		Intent intent=new Intent(MainActivity.this,curlsagg1.class);
								startActivity(intent);	
					    	}
							else if(num==2)	
							{
								Intent intent=new Intent(MainActivity.this,curlsagg2.class);
								startActivity(intent);	
							}
						    else if(num==3)	
						    {
						    	Intent intent=new Intent(MainActivity.this,curlsagg3.class);
								startActivity(intent);	
						    }
							else if(num == 4)	
							{
								Intent intent=new Intent(MainActivity.this,curlsagg4.class);
								startActivity(intent);	
							}
					        else if(num == 5)
					        {
					        	Intent intent=new Intent(MainActivity.this,curlsagg5.class);
								startActivity(intent);	
					        }
							else if(num==6)	
							{
								Intent intent=new Intent(MainActivity.this,curlsagg6.class);
								startActivity(intent);	
							}
							else if(num==7)
							{
								Intent intent=new Intent(MainActivity.this,curlsagg7.class);
								startActivity(intent);	
							}
							else if(num==8)	
							{
								Intent intent=new Intent(MainActivity.this,curlsagg8.class);
								startActivity(intent);	
							}
							else if(num==9)
							{
								Intent intent=new Intent(MainActivity.this,curlsagg9.class);
								startActivity(intent);	
							}
				}
			 }
			 
			 if(m==12) 
			 {
					    if(d <=21)
					    {
					    	if(num==1)
					    	{
					    		Intent intent=new Intent(MainActivity.this,curlsagg1.class);
								startActivity(intent);	
					    	}
							else if(num==2)	
							{
								Intent intent=new Intent(MainActivity.this,curlsagg2.class);
								startActivity(intent);	
							}
						    else if(num==3)	
						    {
						    	Intent intent=new Intent(MainActivity.this,curlsagg3.class);
								startActivity(intent);	
						    }
							else if(num == 4)	
							{
								Intent intent=new Intent(MainActivity.this,curlsagg4.class);
								startActivity(intent);	
							}
					        else if(num == 5)
					        {
					        	Intent intent=new Intent(MainActivity.this,curlsagg5.class);
								startActivity(intent);	
					        }
							else if(num==6)	
							{
								Intent intent=new Intent(MainActivity.this,curlsagg6.class);
								startActivity(intent);	
							}
							else if(num==7)
							{
								Intent intent=new Intent(MainActivity.this,curlsagg7.class);
								startActivity(intent);	
							}
							else if(num==8)	
							{
								Intent intent=new Intent(MainActivity.this,curlsagg8.class);
								startActivity(intent);	
							}
							else if(num==9)
							{
								Intent intent=new Intent(MainActivity.this,curlsagg9.class);
								startActivity(intent);	
							}
					    }
			 }
			 
			 
			 if (m==10)
			 {
					    if(d >=23)
					    {
					    	if(num == 1)
					    	{
					    		Intent intent=new Intent(MainActivity.this,curlscor1.class);
								startActivity(intent);	
					    	}
					    	
							else if(num == 2)	
							{
								Intent intent=new Intent(MainActivity.this,curlscor2.class);
								startActivity(intent);	
							}
					    	
						    else if(num == 3)	
						    {
						    	Intent intent=new Intent(MainActivity.this,curlscor3.class);
								startActivity(intent);	
						    }
							else if(num == 4)	
							{
								Intent intent=new Intent(MainActivity.this,curlscor4.class);
								startActivity(intent);	
							}
					        else if(num == 5)	
					        {
					        	Intent intent=new Intent(MainActivity.this,curlscor5.class);
								startActivity(intent);	
					        }
							else if(num == 6)	
							{
								Intent intent=new Intent(MainActivity.this,curlscor6.class);
								startActivity(intent);	
							}
							else if(num==7)	
							{
								Intent intent=new Intent(MainActivity.this,curlscor7.class);
								startActivity(intent);	
							}
							else if(num==8)
					    	{
								Intent intent=new Intent(MainActivity.this,curlscor8.class);
								startActivity(intent);	
					    	}
							else if(num == 9)	
							{
								Intent intent=new Intent(MainActivity.this,curlscor9.class);
								startActivity(intent);	
							}
					    }
			 }
			 
			 if(m==11)
			 {
					    if(d <=21)
					    {
					    	if(num == 1)
					    	{
					    		Intent intent=new Intent(MainActivity.this,curlscor1.class);
								startActivity(intent);	
					    	}
					    	
							else if(num == 2)	
							{
								Intent intent=new Intent(MainActivity.this,curlscor2.class);
								startActivity(intent);	
							}
					    	
						    else if(num == 3)	
						    {
						    	Intent intent=new Intent(MainActivity.this,curlscor3.class);
								startActivity(intent);	
						    }
							else if(num == 4)	
							{
								Intent intent=new Intent(MainActivity.this,curlscor4.class);
								startActivity(intent);	
							}
					        else if(num == 5)	
					        {
					        	Intent intent=new Intent(MainActivity.this,curlscor5.class);
								startActivity(intent);	
					        }
							else if(num == 6)	
							{
								Intent intent=new Intent(MainActivity.this,curlscor6.class);
								startActivity(intent);	
							}
							else if(num==7)	
							{
								Intent intent=new Intent(MainActivity.this,curlscor7.class);
								startActivity(intent);	
							}
							else if(num==8)
					    	{
								Intent intent=new Intent(MainActivity.this,curlscor8.class);
								startActivity(intent);	
					    	}
							else if(num == 9)	
							{
								Intent intent=new Intent(MainActivity.this,curlscor9.class);
								startActivity(intent);	
							}
					    }
			 }
			 
			 if(m==4)
			 {
					    if(d >= 20)
					    {
					    	if(num ==1)	
					    	  {
								 Intent intent=new Intent(MainActivity.this,Curltaur1.class);
								 startActivity(intent);
							  }
					    	else if(num == 2 )	
					    	  {
								 Intent intent=new Intent(MainActivity.this,Curltaur2.class);
								 startActivity(intent);
							  }
					        else if(num == 3)	
					   	      {
								 Intent intent=new Intent(MainActivity.this,Curltaur3.class);
								 startActivity(intent);
							  }
					     	else if(num == 4)	
					   	      {
								 Intent intent=new Intent(MainActivity.this,CurlTaur4.class);
								 startActivity(intent);
							  }
					        else if(num == 5)	
					        {
					        	Intent intent=new Intent(MainActivity.this,Curltaur5.class);
								startActivity(intent);
					        }
					    	else if(num == 6)	
					    	{
					    		Intent intent=new Intent(MainActivity.this,Curltaur6.class);
								startActivity(intent);
					    	}
							else if(num == 7)
							{
								Intent intent=new Intent(MainActivity.this,Curltaur7.class);
								startActivity(intent);
							}
							else if(num == 8)	
							{
								Intent intent=new Intent(MainActivity.this,Curltaur8.class);
								startActivity(intent);
							}
							else if(num == 9)	
					    	{
								Intent intent=new Intent(MainActivity.this,Curltaur9.class);
								startActivity(intent);
					    	}
					 }
			 }
			 
			 if(m==5)
			 {
					    if(d <= 20 )
					    {
					    	 if(num==1)
							 {
								 Intent intent=new Intent(MainActivity.this,Curltaur1.class);
								 startActivity(intent);
							 }
					    	 else if(num == 2)
					    	 {
								 Intent intent=new Intent(MainActivity.this,Curltaur2.class);
								 startActivity(intent);
							 }
					        else if(num == 3)
						    {
								 Intent intent=new Intent(MainActivity.this,Curltaur3.class);
								 startActivity(intent);
							 }
					    	 else if(num==4)	
							 {
								 Intent intent=new Intent(MainActivity.this,CurlTaur4.class);
								 startActivity(intent);
							 }
					         else if(num == 5)
					         {
					        	 Intent intent=new Intent(MainActivity.this,Curltaur5.class);
								 startActivity(intent);
					         }
							 else if(num == 6)	
							 {
								 Intent intent=new Intent(MainActivity.this,Curltaur6.class);
								 startActivity(intent);
							 }
							else if(num == 7)
							{
								Intent intent=new Intent(MainActivity.this,Curltaur7.class);
								startActivity(intent);
							}
							else if(num == 8)	
							{
								Intent intent=new Intent(MainActivity.this,Curltaur8.class);
								startActivity(intent);
							}
							else if(num==9)	
							{
								Intent intent=new Intent(MainActivity.this,Curltaur9.class);
								startActivity(intent);
							}
					    }
			 }
			 
			 if(m==8)
			 {
					    if(d >=23)
					    {
					    	if(num==1)
							{
							    Intent intent=new Intent(MainActivity.this,curlvirgo1.class);
							    startActivity(intent);
							}
							else if(num == 2)
							{
							   Intent intent=new Intent(MainActivity.this,curlvirgo2.class);
							    startActivity(intent);
							}
						  else if(num == 3)
							{
							    Intent intent=new Intent(MainActivity.this,curlvirgo3.class);
							    startActivity(intent);
							}
						  else if(num==4)	
							{
							    Intent intent=new Intent(MainActivity.this,curlvirgo4.class);
							    startActivity(intent);
							 }
						 else if(num == 5)
							 {
						    	Intent intent=new Intent(MainActivity.this,curlvirgo5.class);
						    	startActivity(intent);
							 }
						else if(num == 6)	
							{
							    Intent intent=new Intent(MainActivity.this,curlvirgo6.class);
							    startActivity(intent);
							}
						else if(num == 7)
							{
								Intent intent=new Intent(MainActivity.this,curlvirgo7.class);
								startActivity(intent);
						    }
						else if(num == 8)	
						    {
								Intent intent=new Intent(MainActivity.this,curlvirgo8.class);
								startActivity(intent);
						    }
						else if(num==9)	
							{
								Intent intent=new Intent(MainActivity.this,curlvirgo9.class);
								startActivity(intent);
							}
					    }
			 }
			 
			 if(m==9)
			 {
					    if(d <=22) 
					    {
					    	if(num==1)
							{
							    Intent intent=new Intent(MainActivity.this,curlvirgo1.class);
							    startActivity(intent);
							}
							else if(num == 2)
							{
							   Intent intent=new Intent(MainActivity.this,curlvirgo2.class);
							    startActivity(intent);
							}
						  else if(num == 3)
							{
							    Intent intent=new Intent(MainActivity.this,curlvirgo3.class);
							    startActivity(intent);
							}
						  else if(num==4)	
							{
							    Intent intent=new Intent(MainActivity.this,curlvirgo4.class);
							    startActivity(intent);
							 }
						 else if(num == 5)
							 {
						    	Intent intent=new Intent(MainActivity.this,curlvirgo5.class);
						    	startActivity(intent);
							 }
						else if(num == 6)	
							{
							    Intent intent=new Intent(MainActivity.this,curlvirgo6.class);
							    startActivity(intent);
							}
						else if(num == 7)
							{
								Intent intent=new Intent(MainActivity.this,curlvirgo7.class);
								startActivity(intent);
						    }
						else if(num == 8)	
						    {
								Intent intent=new Intent(MainActivity.this,curlvirgo8.class);
								startActivity(intent);
						    }
						else if(num==9)	
							{
								Intent intent=new Intent(MainActivity.this,curlvirgo9.class);
								startActivity(intent);
							}
					    }
			 }
				
				
			}
		 		
				
					 
			 }	
		});
		
		enterg.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				// TODO Auto-generated method stub
				if (mInterstitialAd.isLoaded()) {
	  				 mInterstitialAd.show();
	  				mInterstitialAd.setAdListener(new AdListener() {
	  		            public void onAdClosed() {
	  		            	Intent in=new Intent(MainActivity.this,dateofbirth.class);
	  						in.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
	  						startActivity(in);
				
	  		            }
	  				});
				}		
			else
			{
				Intent in=new Intent(MainActivity.this,dateofbirth.class);
				in.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
				startActivity(in);
			}
			}
		});
		
	 mAdview.loadAd(new AdRequest.Builder().build()); 
	 }
	
	@Override
      public void onStart() {
        super.onStart();
       mClient.connect(); 
	     final String title = "Panchang"; 
	    AppIndex.AppIndexApi.view(mClient, this, APP_URI, title, WEB_URL, null); 
    }
 
	 
  
	
    @Override
    public void onStop() {
        super.onStop();
        AppIndex.AppIndexApi.viewEnd(mClient, this, APP_URI);
 	     mClient.disconnect(); 
    }
 
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		MenuInflater inflater = getMenuInflater();
	//MenuInflater inflater = getMenuInflater();
	inflater.inflate(R.menu.main, menu); 
	 return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// toggle nav drawer on selecting action bar app icon/title
		 
		 		if(item.getItemId() == R.id.share)
		 		{
				 Intent emailIntent = new Intent(android.content.Intent.ACTION_SEND);
	     	     emailIntent.setType("text/plain");
	     	     emailIntent.putExtra(android.content.Intent.EXTRA_SUBJECT, "Birthday Numerology - findyourfate.com");
	             emailIntent.putExtra(android.content.Intent.EXTRA_TEXT,"Hi,\n I would like to suggest, this Birthday Numerology App to you. \n\n  Click this Download app \" http://goo.gl/VfJLbc \"\n\n Regards");
	     	     startActivity(emailIntent);
		 		}
	     	 	else  if (item.getItemId() == R.id.exit)
		     	{
		 	       	AlertDialog.Builder builder = new AlertDialog.Builder(this);
				    builder.setMessage("Are you sure  want to exit?")
				           .setCancelable(false)
				           .setPositiveButton("Yes", new DialogInterface.OnClickListener() {
				               public void onClick(DialogInterface dialog, int id) {
				            	   Intent intent = new Intent(Intent.ACTION_MAIN);
				   		    	intent.addCategory(Intent.CATEGORY_HOME);
				   		    	intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
				   		    	startActivity(intent);
				               }
				           })
				           .setNegativeButton("No", new DialogInterface.OnClickListener() {
				               public void onClick(DialogInterface dialog, int id) {
				                    dialog.cancel();
				               }
				           });
				    AlertDialog alert = builder.create();
				    alert.show();
		     		  }
			 else if (item.getItemId() == R.id.in)
     		  {
     			  AlertDialog.Builder alertDialogBuilder = new AlertDialog.Builder(MainActivity.this);
     			 alertDialogBuilder.setTitle("Numerology Calculator");
     			 alertDialogBuilder.setMessage("This app need to enter the birth date and the complete name of an individual to unlock all of the secrets that the numbers hold and then the future course of the individual can be derived from it.");
     			 alertDialogBuilder.setPositiveButton("Open",new DialogInterface.OnClickListener() {
     			  public void onClick(DialogInterface dialog,int id) {
     			      final String appPackageName = "numerology.findyourfate.com"; // getPackageName() from Context or Activity object
     			        	try {
     			        	   startActivity(new Intent(Intent.ACTION_VIEW, Uri.parse("market://details?id=" + appPackageName)));
     			        	  } catch (android.content.ActivityNotFoundException anfe) {
     			        	       startActivity(new Intent(Intent.ACTION_VIEW, Uri.parse("http://play.google.com/store/apps/details?id=" + appPackageName)));
     			        	     }
     			        }
     			     });
     			   alertDialogBuilder.setNeutralButton("Already/Never",new DialogInterface.OnClickListener() {
     			      public void onClick(DialogInterface dialog,int id) {	  
     			         //  MainActivity.this.finish();
     			       dialog.cancel();
     			                  }
     			             });
     			          // set negative button: No message
     				alertDialogBuilder.setNegativeButton("Later",new DialogInterface.OnClickListener() {
     		        public void onClick(DialogInterface dialog,int id) {
     			                      // cancel the alert box and put a Toast to the user
     			         dialog.cancel();                    
     			                  }
     			          });
     			           AlertDialog alertDialog = alertDialogBuilder.create();
     			           // show alert
     			           alertDialog.show();			  
     			      }
     		return  true;
		}

}
